Test alert target

POST/accounts/{account_id}/alerts/{alert_id}/targets/{target_id}/test

Test an alert target

Path Parameters

account_id*number (double)
alert_id*number (double)
target_id*number (double)

Responses

200Ok

Response Attributes

code*number (double)
messagestring
statusenum
statusLabelstring
||
Request
Response200

Create alert target

PUT/accounts/{account_id}/alerts/{alert_id}/targets/create

Create a target for an alert. This is the HTTP endpoint that will be called when an alert is triggered.

Path Parameters

account_id*number (double)
alert_id*number (double)

Request Body

Required

Configuration for the alert target

url*string
metadataobject

Construct a type with a set of properties K of type T

Responses

200Ok

Response Attributes

code*number (double)
messagestring
targetobject

Public, snake_case response shape for an alert target.

Mirrors the legacy (old-schema.json) target shape as closely as the new gRPC {@link LivePushAlertTarget} model allows: field casing is converted, metadata is re-hydrated from the stored JSON string, the unix-ms timestamps are threaded back into ISO created_at / updated_at, and alert_creator_id is coerced to a number.

||
Request
Response200

List alert targets

GET/accounts/{account_id}/alerts/{alert_id}/targets/list

List all alert targets for a specific alert

Path Parameters

account_id*number (double)
alert_id*number (double)

Responses

200Ok

Response Attributes

code*number (double)
messagestring
targetsobject[]
||
Request
Response200

Delete alert target

DEL/accounts/{account_id}/alerts/{alert_id}/targets/{target_id}/delete

Delete an alert target from the Sign API

Path Parameters

account_id*number (double)
alert_id*number (double)
target_id*number (double)

Responses

200Ok

Response Attributes

code*number (double)
messagestring
||
Request
Response200